Jump to content
From ArchWiki

Bazaar is a dormant version control system that helps you track project history over time and to collaborate easily with others. It is succeeded by Breezy (breezy), which also support Bazaar file formats and network protocols.

## Installation

Install the bzrAUR package.

## Usage

See bzr(1).

### Setting up Bazaar server with xinetd

Add a `bzr-usr` user if needed.

Create a repository:

    $ bzr init /home/bzr/repo.bzr
    $ chown -R bzr_usr /home/bzr/repo.bzr

Add configuration for xinetd:

    service bzr
    {
    	flags			= REUSE
    	socket_type		= stream
    	wait			= no
    	user			= bzr_usr
    	server			= /usr/bin/bzr
    	server_args		= serve --inet --directory=/home/bzr/repo.bzr
    	env			= HOME=/home/bzr
    	log_on_failure		+= USERID
    	disable			= no
    	cps			= 50 10
    	instances		= 60
    }

Categories:

- Version control system
- Canonical